Name:		biblesync
Version:	1.0.2
Release:	5%{?dist}
Summary:	A Cross-platform library for sharing Bible navigation

Group:		System Environment/Libraries
License:	Public Domain
URL:		http://www.xiphos.org
Source0:	http://downloads.sourceforge.net/gnomesword/biblesync-%{version}.tar.gz

BuildRequires:	intltool
BuildRequires:	libuuid-devel
BuildRequires:	cmake

%description
BibleSync is a multicast protocol to support Bible software shared co-
navigation. It uses LAN multicast in either a personal/small team mutual
navigation motif or in a classroom environment where there are Speakers plus
the Audience. It provides a complete yet minimal public interface to support
mode setting, setup for packet reception, transmit on local navigation, and
handling of incoming packets.

This library is not specific to any particular Bible software framework,
completely agnostic as to structure of layers above BibleSync.

%package devel
Summary:	Development files for %{name}
Requires:	%{name}%{?_isa} = %{version}-%{release}
Requires:	libuuid-devel%{?_isa}

%description devel
This package contains libraries and header files for developing applications
that use %{name}.

%prep
%setup -q


%build
mkdir build
pushd build
%cmake -DLIBDIR=%{_libdir} .. -DCMAKE_SHARED_LINKER_FLAGS="-Wl,--as-needed"
make %{?_smp_mflags}
popd


%install
pushd build
make install DESTDIR=%{buildroot}
popd

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc LICENSE
%{_libdir}/libbiblesync.so.%{version}

%files devel
%doc AUTHORS COPYING ChangeLog README WIRESHARK
%{_includedir}/biblesync
%{_libdir}/pkgconfig/biblesync.pc
%{_libdir}/libbiblesync.so
%{_mandir}/man7/biblesync.7*

%changelog
* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Mon Aug 04 2014 Greg Hellings <greg.hellings@gmail.com> - 1.0.2-4
- Final import form

* Sat Jul 19 2014 Greg Hellings <greg.hellings@gmail.com> - 1.0.2-3
- Package review feedback

* Mon Jul 07 2014 Greg Hellings <greg.hellings@gmail.com> - 1.0.2-2
- Initial build
